@import "~/src/sass/variables.sass"

.chip
  padding: 6px 12px
  border-radius: 12px

  display: flex
  align-items: center
  justify-content: space-between
  gap: 12px

  span
    font-size: 1.5rem
    line-height: 1.5rem

  p
    font-size: 1rem
    line-height: 1rem
    margin: 0px

.info
  color: var(--color-on-secondary-container, $light-on-secondary-container)
  background-color: var(--color-secondary-container, $light-secondary-container)

.error
  color: var(--color-on-error-container, $light-on-error-container)
  background-color: var(--color-error-container, $light-error-container)

@media (prefers-color-scheme: dark)
  .info
    color: var(--color-on-secondary-container, $dark-on-secondary-container)
    background-color: var(--color-secondary-container, $dark-secondary-container)

  .error
    color: var(--color-on-error-container, $dark-on-error-container)
    background-color: var(--color-error-container, $dark-error-container)